org.jboss.jca.as.converters.wls.api.metadata

## Enum PoolParams.Tag

- java.lang.Object
- - java.lang.Enum<PoolParams.Tag>
  - - org.jboss.jca.as.converters.wls.api.metadata.PoolParams.Tag

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PoolParams.Tag>
  Enclosing interface:
    PoolParams

      public static enum PoolParams.Tag
      extends java.lang.Enum<PoolParams.Tag>

  A Tag.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CAPACITY_INCREMENT` capacity-increment tag
    `CONNECTION_CREATION_RETRY_FREQUENCY_SECONDS` connection-creation-retry-frequency-seconds tag
    `CONNECTION_RESERVE_TIMWOUT_SECONDS` connection-reserve-timeout-seconds tag
    `HIGHEST_NUM_UNAVILABE` highest-num-unavailable tag
    `HIGHEST_NUM_WAITERS` highest-num-waiters tag
    `IGNORE_IN_USE_CONNECTION_ENABLED` ignore-in-use-connections-enabled tag
    `INITIAL_CAPACITY` initial-capacity tag
    `MATCH_CONNECTIONS_SUPPORTED` match-connections-supported tag
    `MAX_CAPACITY` max-capacity tag
    `PROFILE_HARVEST_FREQUENCY_SECONDS` profile-harvest-frequency-seconds tag
    `SHRINK_FREQUENCY_SECONDS` shrink-frequency-seconds tag
    `SHRINKING_ENABLED` shrinking-enabled tag
    `TEST_CONNECTION_ON_CREATE` test-connections-on-create tag
    `TEST_CONNECTION_ON_RELEASE` test-connections-on-release tag
    `TEST_CONNECTION_ON_RESERVE` test-connections-on-reserve tag
    `TEST_FREQUENCY_SECONDS` test-frequency-seconds tag
    `UNKNOWN` always first
    `USE_FIRST_AVAILABLE` use-first-available tag

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PoolParams.Tag` | `forName(java.lang.String localName)` Static method to get enum instance given localName string
    `java.lang.String` | `getLocalName()` Get the local name of this element.
    `java.lang.String` | `toString()`
    `static PoolParams.Tag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PoolParams.Tag[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final PoolParams.Tag UNKNOWN

      always first

    - #### INITIAL_CAPACITY

          public static final PoolParams.Tag INITIAL_CAPACITY

      initial-capacity tag

    - #### MAX_CAPACITY

          public static final PoolParams.Tag MAX_CAPACITY

      max-capacity tag

    - #### CAPACITY_INCREMENT

          public static final PoolParams.Tag CAPACITY_INCREMENT

      capacity-increment tag

    - #### SHRINKING_ENABLED

          public static final PoolParams.Tag SHRINKING_ENABLED

      shrinking-enabled tag

    - #### SHRINK_FREQUENCY_SECONDS

          public static final PoolParams.Tag SHRINK_FREQUENCY_SECONDS

      shrink-frequency-seconds tag

    - #### HIGHEST_NUM_WAITERS

          public static final PoolParams.Tag HIGHEST_NUM_WAITERS

      highest-num-waiters tag

    - #### HIGHEST_NUM_UNAVILABE

          public static final PoolParams.Tag HIGHEST_NUM_UNAVILABE

      highest-num-unavailable tag

    - #### CONNECTION_CREATION_RETRY_FREQUENCY_SECONDS

          public static final PoolParams.Tag CONNECTION_CREATION_RETRY_FREQUENCY_SECONDS

      connection-creation-retry-frequency-seconds tag

    - #### CONNECTION_RESERVE_TIMWOUT_SECONDS

          public static final PoolParams.Tag CONNECTION_RESERVE_TIMWOUT_SECONDS

      connection-reserve-timeout-seconds tag

    - #### TEST_FREQUENCY_SECONDS

          public static final PoolParams.Tag TEST_FREQUENCY_SECONDS

      test-frequency-seconds tag

    - #### TEST_CONNECTION_ON_CREATE

          public static final PoolParams.Tag TEST_CONNECTION_ON_CREATE

      test-connections-on-create tag

    - #### TEST_CONNECTION_ON_RELEASE

          public static final PoolParams.Tag TEST_CONNECTION_ON_RELEASE

      test-connections-on-release tag

    - #### TEST_CONNECTION_ON_RESERVE

          public static final PoolParams.Tag TEST_CONNECTION_ON_RESERVE

      test-connections-on-reserve tag

    - #### PROFILE_HARVEST_FREQUENCY_SECONDS

          public static final PoolParams.Tag PROFILE_HARVEST_FREQUENCY_SECONDS

      profile-harvest-frequency-seconds tag

    - #### IGNORE_IN_USE_CONNECTION_ENABLED

          public static final PoolParams.Tag IGNORE_IN_USE_CONNECTION_ENABLED

      ignore-in-use-connections-enabled tag

    - #### MATCH_CONNECTIONS_SUPPORTED

          public static final PoolParams.Tag MATCH_CONNECTIONS_SUPPORTED

      match-connections-supported tag

    - #### USE_FIRST_AVAILABLE

          public static final PoolParams.Tag USE_FIRST_AVAILABLE

      use-first-available tag

  - ### Method Detail

    - #### values

          public static PoolParams.Tag[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PoolParams.Tag c : PoolParams.Tag.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PoolParams.Tag valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getLocalName

          public java.lang.String getLocalName()

      Get the local name of this element.
      Returns:
        the local name

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<PoolParams.Tag>`

    - #### forName

          public static PoolParams.Tag forName(java.lang.String localName)

      Static method to get enum instance given localName string
      Parameters:
        `localName` - a string used as localname (typically tag name as defined in xsd)
      Returns:
        the enum instance

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)